be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class InsuranceType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.InsuranceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:09:10+01:00",
                 comments="JAXB RI v2.3.7")
      public class InsuranceType
      extends Object
      implements Serializable

  Java class for insuranceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="insuranceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-INSURANCE"/>
               <element name="membership" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="siscard" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="begindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="cg1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="cg2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="socialfranchiseperiod1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="socialfranchiseperiod2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="personalpart" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
                         <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-CARENET-PERSONAL-PART"/>
                         <element name="date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
                         <element name="time" type="{http://www.w3.org/2001/XMLSchema}time" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="thirdpayercontract" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-CARENET-THIRDPAYER-CONTRACT"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="begindatepayment" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="approvalnumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsuranceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApprovalnumber()` Gets the value of the approvalnumber property.
    `org.joda.time.DateTime` | `getBegindate()` Gets the value of the begindate property.
    `org.joda.time.DateTime` | `getBegindatepayment()` Gets the value of the begindatepayment property.
    `String` | `getCg1()` Gets the value of the cg1 property.
    `String` | `getCg2()` Gets the value of the cg2 property.
    `org.joda.time.DateTime` | `getEnddate()` Gets the value of the enddate property.
    `IDINSURANCE` | `getId()` Gets the value of the id property.
    `String` | `getMembership()` Gets the value of the membership property.
    `List<Personalpart>` | `getPersonalparts()` Gets the value of the personalparts property.
    `String` | `getSiscard()` Gets the value of the siscard property.
    `String` | `getSocialfranchiseperiod1()` Gets the value of the socialfranchiseperiod1 property.
    `String` | `getSocialfranchiseperiod2()` Gets the value of the socialfranchiseperiod2 property.
    `Thirdpayercontract` | `getThirdpayercontract()` Gets the value of the thirdpayercontract property.
    `void` | `setApprovalnumber(String value)` Sets the value of the approvalnumber property.
    `void` | `setBegindate(org.joda.time.DateTime value)` Sets the value of the begindate property.
    `void` | `setBegindatepayment(org.joda.time.DateTime value)` Sets the value of the begindatepayment property.
    `void` | `setCg1(String value)` Sets the value of the cg1 property.
    `void` | `setCg2(String value)` Sets the value of the cg2 property.
    `void` | `setEnddate(org.joda.time.DateTime value)` Sets the value of the enddate property.
    `void` | `setId(IDINSURANCE value)` Sets the value of the id property.
    `void` | `setMembership(String value)` Sets the value of the membership property.
    `void` | `setSiscard(String value)` Sets the value of the siscard property.
    `void` | `setSocialfranchiseperiod1(String value)` Sets the value of the socialfranchiseperiod1 property.
    `void` | `setSocialfranchiseperiod2(String value)` Sets the value of the socialfranchiseperiod2 property.
    `void` | `setThirdpayercontract(Thirdpayercontract value)` Sets the value of the thirdpayercontract property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsuranceType

          public InsuranceType()

  - ### Method Detail

    - #### getId

          public IDINSURANCE getId()

      Gets the value of the id property.
      Returns:
        possible object is `IDINSURANCE`

    - #### setId

          public void setId(IDINSURANCE value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `IDINSURANCE`

    - #### getMembership

          public String getMembership()

      Gets the value of the membership property.
      Returns:
        possible object is `String`

    - #### setMembership

          public void setMembership(String value)

      Sets the value of the membership property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSiscard

          public String getSiscard()

      Gets the value of the siscard property.
      Returns:
        possible object is `String`

    - #### setSiscard

          public void setSiscard(String value)

      Sets the value of the siscard property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBegindate

          public org.joda.time.DateTime getBegindate()

      Gets the value of the begindate property.
      Returns:
        possible object is `String`

    - #### setBegindate

          public void setBegindate(org.joda.time.DateTime value)

      Sets the value of the begindate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEnddate

          public org.joda.time.DateTime getEnddate()

      Gets the value of the enddate property.
      Returns:
        possible object is `String`

    - #### setEnddate

          public void setEnddate(org.joda.time.DateTime value)

      Sets the value of the enddate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCg1

          public String getCg1()

      Gets the value of the cg1 property.
      Returns:
        possible object is `String`

    - #### setCg1

          public void setCg1(String value)

      Sets the value of the cg1 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCg2

          public String getCg2()

      Gets the value of the cg2 property.
      Returns:
        possible object is `String`

    - #### setCg2

          public void setCg2(String value)

      Sets the value of the cg2 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSocialfranchiseperiod1

          public String getSocialfranchiseperiod1()

      Gets the value of the socialfranchiseperiod1 property.
      Returns:
        possible object is `String`

    - #### setSocialfranchiseperiod1

          public void setSocialfranchiseperiod1(String value)

      Sets the value of the socialfranchiseperiod1 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSocialfranchiseperiod2

          public String getSocialfranchiseperiod2()

      Gets the value of the socialfranchiseperiod2 property.
      Returns:
        possible object is `String`

    - #### setSocialfranchiseperiod2

          public void setSocialfranchiseperiod2(String value)

      Sets the value of the socialfranchiseperiod2 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPersonalparts

          public List<Personalpart> getPersonalparts()

      Gets the value of the personalparts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the personalparts property.

      For example, to add a new item, do as follows:

              getPersonalparts().add(newItem);

      Objects of the following type(s) are allowed in the list `Personalpart`

    - #### getThirdpayercontract

          public Thirdpayercontract getThirdpayercontract()

      Gets the value of the thirdpayercontract property.
      Returns:
        possible object is `Thirdpayercontract`

    - #### setThirdpayercontract

          public void setThirdpayercontract(Thirdpayercontract value)

      Sets the value of the thirdpayercontract property.
      Parameters:
        `value` - allowed object is `Thirdpayercontract`

    - #### getBegindatepayment

          public org.joda.time.DateTime getBegindatepayment()

      Gets the value of the begindatepayment property.
      Returns:
        possible object is `String`

    - #### setBegindatepayment

          public void setBegindatepayment(org.joda.time.DateTime value)

      Sets the value of the begindatepayment property.
      Parameters:
        `value` - allowed object is `String`

    - #### getApprovalnumber

          public String getApprovalnumber()

      Gets the value of the approvalnumber property.
      Returns:
        possible object is `String`

    - #### setApprovalnumber

          public void setApprovalnumber(String value)

      Sets the value of the approvalnumber property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.